Index: tmp/org.txm.annotation.kr.rcp/src/org/txm/annotation/kr/rcp/preferences/KRAnnotationPreferencePage.java
===================================================================
--- tmp/org.txm.annotation.kr.rcp/src/org/txm/annotation/kr/rcp/preferences/KRAnnotationPreferencePage.java	(revision 1025)
+++ tmp/org.txm.annotation.kr.rcp/src/org/txm/annotation/kr/rcp/preferences/KRAnnotationPreferencePage.java	(revision 1026)
@@ -71,7 +71,7 @@
 	 */
 	@Override
 	public void init(IWorkbench workbench) {
-		this.setPreferenceStore(new TXMPreferenceStore(AnnotationPreferences.PREFERENCES_NODE));
+		this.setPreferenceStore(new TXMPreferenceStore(AnnotationPreferences.getInstance().getPreferencesNodeQualifier()));
 		this.setImageDescriptor(IImageKeys.getImageDescriptor(IImageKeys.PENCIL));
 	}
 }
Index: tmp/org.txm.imports.metopes/src/org/txm/imports/metopes/DoInstallStep.java
===================================================================
--- tmp/org.txm.imports.metopes/src/org/txm/imports/metopes/DoInstallStep.java	(revision 1025)
+++ tmp/org.txm.imports.metopes/src/org/txm/imports/metopes/DoInstallStep.java	(revision 1026)
@@ -4,6 +4,7 @@
 
 import org.osgi.framework.Version;
 import org.txm.PostInstallationStep;
+import org.txm.Toolbox;
 import org.txm.core.preferences.TBXPreferences;
 import org.txm.core.preferences.TXMPreferences;
 import org.txm.importer.metopes.preferences.MetopesPreferences;
@@ -40,21 +41,21 @@
 		}
 		System.out.println("Post-installing Metopes version="+currentVersion);
 		
-		File macroDirectory = new File(TXMPreferences.getString(TBXPreferences.USER_TXM_HOME, TBXPreferences.PREFERENCES_NODE), "scripts/macro/org/txm/macro");
+		File macroDirectory = new File(Toolbox.getTxmHomePath(), "scripts/macro/org/txm/macro");
 		macroDirectory.mkdirs();
 		if (!BundleUtils.copyFiles("org.txm.imports.metopes", "src", "org/txm/macro/", "metopes", macroDirectory)) {
 			System.out.println("Error while coping Metopes org/txm/macro/metopes in "+macroDirectory.getAbsolutePath());
 			return;
 		}
 		
-		File importDirectory = new File(TXMPreferences.getString(TBXPreferences.USER_TXM_HOME, TBXPreferences.PREFERENCES_NODE), "scripts/import");
+		File importDirectory = new File(Toolbox.getTxmHomePath(), "scripts/import");
 		importDirectory.mkdirs();
 		if (!BundleUtils.copyFiles("org.txm.imports.metopes", "src", "org/txm/importer/metopes", "metopesLoader.groovy", importDirectory)) {
 			System.out.println("Error while coping Metopes org/txm/importer/metopes in "+importDirectory.getAbsolutePath());
 			return;
 		}
 		
-		File xslDirectory = new File(TXMPreferences.getString(TBXPreferences.USER_TXM_HOME, TBXPreferences.PREFERENCES_NODE), "xsl");
+		File xslDirectory = new File(Toolbox.getTxmHomePath(), "xsl");
 		xslDirectory.mkdirs();
 		if (!BundleUtils.copyFiles("org.txm.imports.metopes", "res", "org/txm/xml/xsl", "metopes", xslDirectory)) {
 			System.out.println("Error while coping Metopes org/txm/xml/xsl/metopes in "+xslDirectory.getAbsolutePath());
Index: tmp/org.txm.lexicaltable.core/src/org/txm/lexicaltable/core/preferences/LexicalTablePreferences.java
===================================================================
--- tmp/org.txm.lexicaltable.core/src/org/txm/lexicaltable/core/preferences/LexicalTablePreferences.java	(revision 1025)
+++ tmp/org.txm.lexicaltable.core/src/org/txm/lexicaltable/core/preferences/LexicalTablePreferences.java	(revision 1026)
@@ -1,8 +1,6 @@
 package org.txm.lexicaltable.core.preferences;
 
 
-import org.eclipse.core.runtime.preferences.DefaultScope;
-import org.osgi.framework.FrameworkUtil;
 import org.osgi.service.prefs.Preferences;
 import org.txm.core.preferences.TXMPreferences;
 
@@ -16,17 +14,27 @@
 public class LexicalTablePreferences extends TXMPreferences {
 
 
-	// auto populate the preference node qualifier from the current bundle id
-	public static final String PREFERENCES_NODE = FrameworkUtil.getBundle(LexicalTablePreferences.class).getSymbolicName();
-
 	/**
 	 * If true, the table computed from an Index will use all the occurrences from the corpus to add the #RESTE# line composed of the others words
 	 */
 	public static final String USE_ALL_OCCURRENCES = "use_all_occurrences"; //$NON-NLS-1$
 	
+	
+	/**
+	 * Gets the instance.
+	 * @return the instance
+	 */
+	public static TXMPreferences getInstance()	{
+		if (!TXMPreferences.instances.containsKey(LexicalTablePreferences.class)) {
+			new LexicalTablePreferences();
+		}
+		return TXMPreferences.instances.get(LexicalTablePreferences.class);
+	}
+
+	
 	@Override
 	public void initializeDefaultPreferences() {
-		Preferences preferences = DefaultScope.INSTANCE.getNode(PREFERENCES_NODE);
+		Preferences preferences = this.getDefaultPreferencesNode();
 		preferences.putInt(F_MIN, 2);
 		preferences.putInt(V_MAX, 200);
 		preferences.putBoolean(USE_ALL_OCCURRENCES, true);
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/actions/RunGroovyScript.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/actions/RunGroovyScript.java	(revision 1025)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/actions/RunGroovyScript.java	(revision 1026)
@@ -44,6 +44,7 @@
 import org.eclipse.ui.IWorkbenchWindow;
 import org.eclipse.ui.actions.ActionFactory.IWorkbenchAction;
 import org.eclipse.ui.plugin.AbstractUIPlugin;
+import org.txm.Toolbox;
 import org.txm.core.preferences.TBXPreferences;
 import org.txm.core.preferences.TXMPreferences;
 import org.txm.importer.scripting.GroovyImportScriptRunner;
@@ -102,8 +103,8 @@
 
 		FileDialog dialog = new FileDialog(window.getShell(), SWT.OPEN);
 		dialog.setFilterExtensions(new String[] { TXMUIMessages.RunGroovyScript_3 });
-		String scriptRootDir = TXMPreferences.getString(TBXPreferences.USER_TXM_HOME, TBXPreferences.PREFERENCES_NODE)+ "/scripts";
-		String scriptCurrentDir = TXMPreferences.getString(TBXPreferences.USER_TXM_HOME, TBXPreferences.PREFERENCES_NODE)+ "/scripts";
+		String scriptRootDir = Toolbox.getTxmHomePath() + "/scripts";
+		String scriptCurrentDir = Toolbox.getTxmHomePath() + "/scripts";
 		
 
 		if (LastOpened.getFolder(ID) != null) {
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/actions/ImportDialog.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/actions/ImportDialog.java	(revision 1025)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/actions/ImportDialog.java	(revision 1026)
@@ -195,7 +195,7 @@
 					if (lastopenedbase != null) {
 						dialog.setFilterPath(dirValue.getText());
 					} else
-						dialog.setFilterPath(new File(TXMPreferences.getString(TBXPreferences.INSTALL_DIR, TBXPreferences.PREFERENCES_NODE), "corpora").getAbsolutePath()); //$NON-NLS-1$
+						dialog.setFilterPath(new File(Toolbox.getInstallDirectory(), "corpora").getAbsolutePath()); //$NON-NLS-1$
 					if (dialog.open() != null) {
 						String path = dialog.getFilterPath();
 						
@@ -370,7 +370,7 @@
 					if (lastopenedbase != null) {
 						dialog.setFilterPath(dirValue.getText());
 					} else
-						dialog.setFilterPath(new File(TXMPreferences.getString(TBXPreferences.INSTALL_DIR, TBXPreferences.PREFERENCES_NODE), "corpora").getAbsolutePath()); //$NON-NLS-1$
+						dialog.setFilterPath(new File(Toolbox.getInstallDirectory(), "corpora").getAbsolutePath()); //$NON-NLS-1$
 					if (dialog.open() != null) {
 						paramtokenizer = new File(dialog.getFilterPath(),
 								dialog.getFileName());
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/actions/CreatePartitionDialog.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/actions/CreatePartitionDialog.java	(revision 1025)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/actions/CreatePartitionDialog.java	(revision 1026)
@@ -616,12 +616,12 @@
 		}
 
 		if (p == null) {
-			System.out.println(TXMUIMessages.CreatePartitionDialog_8);
+			Log.severe(TXMUIMessages.CreatePartitionDialog_8);
 			return null;
 		}
 		
 		if (p.getParts().size() == 0) {
-			System.out.println(TXMUIMessages.CreatePartitionDialog_10);
+			Log.severe(TXMUIMessages.CreatePartitionDialog_10);
 			return null;
 		}
 		
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/preferences/TXMMainPreferencePage.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/preferences/TXMMainPreferencePage.java	(revision 1025)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/preferences/TXMMainPreferencePage.java	(revision 1026)
@@ -185,7 +185,7 @@
 //		addField(buttonImport);
 
 		// disable if expert user
-		if (!TXMPreferences.getBoolean(TBXPreferences.EXPERT_USER, TBXPreferences.PREFERENCES_NODE)) {
+		if (!TBXPreferences.getInstance().getBoolean(TBXPreferences.EXPERT_USER)) {
 			Group updateGroup = new Group(getFieldEditorParent(), SWT.NONE);
 			updateGroup.setText(TXMUIMessages.TextometriePreferencePage_2);
 			GridData gridData2 = new GridData(SWT.FILL, SWT.FILL, true, false);
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/preferences/DebugPreferencePage.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/preferences/DebugPreferencePage.java	(revision 1025)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/preferences/DebugPreferencePage.java	(revision 1026)
@@ -23,6 +23,6 @@
 	
 	@Override
 	public void init(IWorkbench workbench) {
-		this.setPreferenceStore(new TXMPreferenceStore(TBXPreferences.PREFERENCES_NODE));
+		this.setPreferenceStore(new TXMPreferenceStore(TBXPreferences.getInstance().getPreferencesNodeQualifier()));
 	}
 }
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/preferences/AdvancedPreferencePage.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/preferences/AdvancedPreferencePage.java	(revision 1025)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/preferences/AdvancedPreferencePage.java	(revision 1026)
@@ -136,6 +136,6 @@
 
 	@Override
 	public void init(IWorkbench workbench) {
-		this.setPreferenceStore(new TXMPreferenceStore(TBXPreferences.PREFERENCES_NODE));
+		this.setPreferenceStore(new TXMPreferenceStore(TBXPreferences.getInstance().getPreferencesNodeQualifier()));
 	}
 }
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/preferences/ImportPreferencePage.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/preferences/ImportPreferencePage.java	(revision 1025)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/preferences/ImportPreferencePage.java	(revision 1026)
@@ -146,6 +146,6 @@
 
 	@Override
 	public void init(IWorkbench workbench) {
-		this.setPreferenceStore(new TXMPreferenceStore(TBXPreferences.PREFERENCES_NODE));
+		this.setPreferenceStore(new TXMPreferenceStore(TBXPreferences.getInstance().getPreferencesNodeQualifier()));
 	}
 }
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/commands/ImportSelectedText.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/commands/ImportSelectedText.java	(revision 1025)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/commands/ImportSelectedText.java	(revision 1026)
@@ -160,10 +160,8 @@
 //			System.out.println(Messages.ImportSelectedText_10+corpusElem.getAttribute("lang"));  //$NON-NLS-1$
 //		} else { System.out.println(Messages.ImportSelectedText_12+corpusElem.getAttribute("lang"));}  //$NON-NLS-1$
 		
-		String locale = Locale.getDefault().getLanguage();
-		//FIXME: the default value should be computed in the preferences initializer
-		String lang = TXMPreferences.getString(TBXPreferences.IMPORT_DEFAULT_LANG, null, TBXPreferences.PREFERENCES_NODE, locale);
-		if (lang.length() == 0) lang = locale;
+		String lang = TBXPreferences.getInstance().getString(TBXPreferences.IMPORT_DEFAULT_LANG);
+		if (lang.length() == 0) lang = Locale.getDefault().getLanguage();
 		if ("??".equals(lang)) { //$NON-NLS-1$
 			LangDetector detector = new LangDetector(quicksrc);
 			lang = detector.getLang();
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/commands/OpenManual.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/commands/OpenManual.java	(revision 1025)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/commands/OpenManual.java	(revision 1026)
@@ -36,6 +36,7 @@
 import org.eclipse.core.commands.AbstractHandler;
 import org.eclipse.core.commands.ExecutionEvent;
 import org.eclipse.core.commands.ExecutionException;
+import org.txm.Toolbox;
 import org.txm.core.preferences.TBXPreferences;
 import org.txm.core.preferences.TXMPreferences;
 import org.txm.utils.logger.Log;
@@ -67,7 +68,7 @@
 	public static void open() {
 		try {
 			String locale = Locale.getDefault().getLanguage();
-			String installdir = TXMPreferences.getString(TBXPreferences.INSTALL_DIR, TBXPreferences.PREFERENCES_NODE);
+			String installdir = Toolbox.getInstallDirectory();
 
 			String file = files.get(locale);
 			if (file == null) file = files.get(default_locale);
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/editors/imports/CorpusPage.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/editors/imports/CorpusPage.java	(revision 1025)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/editors/imports/CorpusPage.java	(revision 1026)
@@ -1012,7 +1012,7 @@
 		} else if (lastOpenedSrcDir != null) {
 			dialog.setFilterPath(Toolbox.getTxmHomePath());
 		} else
-			dialog.setFilterPath(new File(TXMPreferences.getString(TBXPreferences.INSTALL_DIR, TBXPreferences.PREFERENCES_NODE), "corpora").getAbsolutePath()); //$NON-NLS-1$
+			dialog.setFilterPath(new File(Toolbox.getInstallDirectory(), "corpora").getAbsolutePath()); //$NON-NLS-1$
 
 		if (dialog.open() != null) {
 			String path = dialog.getFilterPath();
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/editors/imports/MetadataPage.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/editors/imports/MetadataPage.java	(revision 1025)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/editors/imports/MetadataPage.java	(revision 1026)
@@ -483,9 +483,9 @@
 		Metadatas temp = null;
 		if (metadataFile.exists()) {//if their is a metadata file OK
 			if (metadataFile.getName().endsWith(".csv")) { //$NON-NLS-1$
-				String encoding = TXMPreferences.getString(TBXPreferences.METADATA_ENCODING, TBXPreferences.PREFERENCES_NODE);
-				String colsep = TXMPreferences.getString(TBXPreferences.METADATA_COLSEPARATOR, TBXPreferences.PREFERENCES_NODE);
-				String txtsep = TXMPreferences.getString(TBXPreferences.METADATA_TXTSEPARATOR, TBXPreferences.PREFERENCES_NODE);
+				String encoding = TBXPreferences.getInstance().getString(TBXPreferences.METADATA_ENCODING);
+				String colsep = TBXPreferences.getInstance().getString(TBXPreferences.METADATA_COLSEPARATOR);
+				String txtsep = TBXPreferences.getInstance().getString(TBXPreferences.METADATA_TXTSEPARATOR);
 				temp = new Metadatas(metadataFile, encoding, colsep, txtsep, 1);
 			} else {
 				temp = new Metadatas(metadataFile);
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/editors/input/AbstractSVGGraphicable.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/editors/input/AbstractSVGGraphicable.java	(revision 1025)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/editors/input/AbstractSVGGraphicable.java	(revision 1026)
@@ -67,7 +67,7 @@
 		if (this.path == null) {
 			File tmp = null;
 			try {
-				String txmhome = TXMPreferences.getString(TBXPreferences.USER_TXM_HOME, TBXPreferences.PREFERENCES_NODE);
+				String txmhome = Toolbox.getTxmHomePath();
 				File resultDir = new File(txmhome, "results"); //$NON-NLS-1$
 				resultDir.mkdirs();
 				tmp = File.createTempFile("txm", ".svg", resultDir); //$NON-NLS-1$ //$NON-NLS-2$
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/JobsTimer.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/JobsTimer.java	(revision 1025)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/JobsTimer.java	(revision 1026)
@@ -55,7 +55,7 @@
 	}
 	
 	public static void stopAndPrint() {
-		if (TXMPreferences.getBoolean(TBXPreferences.SHOW_TIMINGS, TBXPreferences.PREFERENCES_NODE)) {
+		if (TBXPreferences.getInstance().getBoolean(TBXPreferences.SHOW_TIMINGS)) {
 			if (time <= 1000) System.out.println(NLS.bind(TXMUIMessages.JobsTimer_15, stop(),(int)time));
 			else System.out.println(NLS.bind(TXMUIMessages.JobsTimer_19, stop()));
 		}
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/ApplicationWorkbenchAdvisor.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/ApplicationWorkbenchAdvisor.java	(revision 1025)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/ApplicationWorkbenchAdvisor.java	(revision 1026)
@@ -340,7 +340,7 @@
 
 		// Remove RCP Update preference page
 		Log.warning(TXMUIMessages.ApplicationWorkbenchAdvisor_21);
-		if (!TXMPreferences.getBoolean(TBXPreferences.EXPERT_USER, TBXPreferences.PREFERENCES_NODE)) {
+		if (!TBXPreferences.getInstance().getBoolean(TBXPreferences.EXPERT_USER)) {
 			pm.remove("org.eclipse.equinox.internal.p2.ui.sdk.ProvisioningPreferencePage"); //$NON-NLS-1$
 
 			// Remove the Team menu
@@ -373,7 +373,7 @@
 		if (needToRestoreTXMHOME) return; // don't call for update for the first run of TXM
 
 		try {
-			boolean doUpdate = TXMPreferences.getBoolean(TBXPreferences.FETCH_UPDATES_AT_STARTUP, TBXPreferences.PREFERENCES_NODE);
+			boolean doUpdate = TBXPreferences.getInstance().getBoolean(TBXPreferences.FETCH_UPDATES_AT_STARTUP);
 			if (!doUpdate) return;
 			//
 			//				this.syncExec(new Runnable() {
@@ -418,13 +418,13 @@
 	}
 
 	public static boolean testTXMHOMEPreferenceAndDirectory() {
-		String path = TXMPreferences.getString(TBXPreferences.USER_TXM_HOME, TBXPreferences.PREFERENCES_NODE);
+		String path = Toolbox.getTxmHomePath();
 
 		if (path == null || path.trim().equals("")) {
-			Log.warning("TXM user directory is not set ('"+TBXPreferences.USER_TXM_HOME+"' preference is not set).");
+			Log.warning("TXM user directory is not set ('" + TBXPreferences.USER_TXM_HOME + "' preference is not set).");
 			return true;
 		}
-		File dir = new File(TXMPreferences.getString(TBXPreferences.USER_TXM_HOME, TBXPreferences.PREFERENCES_NODE).trim());
+		File dir = new File(Toolbox.getTxmHomePath().trim());
 		if (!dir.exists()) {
 			Log.warning("TXM user directory is set to '"+dir+"' but does not exist.");
 			return true;
@@ -441,13 +441,13 @@
 
 	public static boolean testTXMINSTALLPreferenceAndDirectory() {
 		//		TxmPreferences.dump();
-		if (TXMPreferences.getString(TBXPreferences.INSTALL_DIR, TBXPreferences.PREFERENCES_NODE) == null) {
+		if (Toolbox.getInstallDirectory() == null) {
 			Log.warning("TXM install directory is not set ('"+TBXPreferences.INSTALL_DIR+"' preference is not set).");
 			return true;
 		}
 
-		File installdir = new File(TXMPreferences.getString(TBXPreferences.INSTALL_DIR, TBXPreferences.PREFERENCES_NODE).trim());
-		if (TXMPreferences.getString(TBXPreferences.INSTALL_DIR, TBXPreferences.PREFERENCES_NODE).equals("")) {
+		File installdir = new File(Toolbox.getInstallDirectory().trim());
+		if (Toolbox.getInstallDirectory().equals("")) {
 			Log.warning("TXM install directory is set to ''.");
 			return true;
 		} else if (!installdir.exists()) {
@@ -540,8 +540,6 @@
 					public void run() { OpenWelcomePage.openWelcomePage(); }
 				});
 
-				TXMPreferences.remove(TBXPreferences.INSTALL_DIR, TBXPreferences.PREFERENCES_NODE);
-
 				// set the install directory preference
 				String installpath = Platform.getInstallLocation().getURL().getFile(); // the TXM.exe file path
 				File installDirectory = new File(installpath);
@@ -590,7 +588,7 @@
 					return false;
 				}
 
-				TXMPreferences.put(TBXPreferences.PREFERENCES_NODE, TBXPreferences.INSTALL_DIR, installDirectory.getAbsolutePath());
+				TBXPreferences.getInstance().put(TBXPreferences.INSTALL_DIR, installDirectory.getAbsolutePath());
 				TXMPreferences.saveAll();
 				return true;
 			}
@@ -688,10 +686,10 @@
 			System.out.println(TXMUIMessages.ApplicationWorkbenchAdvisor_7);
 
 			try {
-				Log.info(NLS.bind(TXMUIMessages.ApplicationWorkbenchAdvisor_8, TXMPreferences.getString(TBXPreferences.INSTALL_DIR, TBXPreferences.PREFERENCES_NODE)));
+				Log.info(NLS.bind(TXMUIMessages.ApplicationWorkbenchAdvisor_8, Toolbox.getInstallDirectory()));
 
 				Log.info("Checking TXM user directory.");
-				if (TXMPreferences.getString(TBXPreferences.USER_TXM_HOME, TBXPreferences.PREFERENCES_NODE).trim().isEmpty()) {
+				if (Toolbox.getTxmHomePath().trim().isEmpty()) {
 					Version v = BundleUtils.getBundleVersion("org.txm.rcp");
 
 					String version = v.getMajor()+"."+v.getMinor()+"."+v.getMicro();
@@ -701,7 +699,7 @@
 					}
 					txmhomedir = new File(System.getProperty("user.home"), "TXM-"+version); //$NON-NLS-1$ //$NON-NLS-2$
 				} else {
-					txmhomedir = new File(TXMPreferences.getString(TBXPreferences.USER_TXM_HOME, TBXPreferences.PREFERENCES_NODE).trim());
+					txmhomedir = new File(Toolbox.getTxmHomePath().trim());
 				}
 
 				txmhomedir.mkdirs(); // creates the directory if needed
@@ -712,8 +710,7 @@
 				}
 
 				// save preference if USER_TXM_HOME has changed
-				TXMPreferences.put(TBXPreferences.PREFERENCES_NODE, 
-						TBXPreferences.USER_TXM_HOME, txmhomedir.getAbsolutePath());
+				TBXPreferences.getInstance().put(TBXPreferences.USER_TXM_HOME, txmhomedir.getAbsolutePath());
 				TXMPreferences.saveAll();
 
 				Log.info("TXM User directory is set to: "+txmhomedir);
@@ -807,7 +804,7 @@
 		ArrayList<String> basenames = new ArrayList<String>();
 		ArrayList<String> sampleCorpusLoaded = new ArrayList<String>();
 
-		String installdirpath = TXMPreferences.getString(TBXPreferences.INSTALL_DIR, TBXPreferences.PREFERENCES_NODE);
+		String installdirpath = Toolbox.getInstallDirectory();
 		File sampleCorporaDirectory = new File(installdirpath, "samples");
 		// load corpora from the install directory
 		if (sampleCorporaDirectory.exists()) { //$NON-NLS-1$
@@ -815,7 +812,7 @@
 			monitor.setTaskName(TXMUIMessages.ApplicationWorkbenchAdvisor_11);
 			//File corporaDir = new File(txmhomedir.getAbsolutePath(), "corpora"); //$NON-NLS-1$
 			if (txmhomedir == null) {
-				txmhomedir = new File(TXMPreferences.getString(TBXPreferences.USER_TXM_HOME, TBXPreferences.PREFERENCES_NODE).trim());
+				txmhomedir = new File(Toolbox.getTxmHomePath().trim());
 			}
 			corporaDir = new File(txmhomedir, "corpora"); //$NON-NLS-1$
 			corporaDir.mkdir();
@@ -960,7 +957,7 @@
 	 */
 	private void callStartScript() {
 		try {
-			File startupScript = new File(TXMPreferences.getString(TBXPreferences.PREFERENCES_NODE, TBXPreferences.USER_TXM_HOME), "scripts/user/start.groovy");
+			File startupScript = new File(Toolbox.getTxmHomePath(), "scripts/user/start.groovy");
 			if (startupScript.exists() && startupScript.canRead()) {
 				ExecuteGroovyScript.executeScript(startupScript.getAbsolutePath(), null, null, true);
 			}
@@ -975,7 +972,7 @@
 	 */
 	private void callStopScript() {
 		try {
-			File stopScript = new File(TXMPreferences.getString(TBXPreferences.PREFERENCES_NODE, TBXPreferences.USER_TXM_HOME), "scripts/user/stop.groovy");
+			File stopScript = new File(Toolbox.getTxmHomePath(), "scripts/user/stop.groovy");
 			if (stopScript.exists() && stopScript.canRead()) {
 
 				ExecuteGroovyScript.executeScript(stopScript.getAbsolutePath(), null, null, true);
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/handlers/scripts/ExecuteScript.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/handlers/scripts/ExecuteScript.java	(revision 1025)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/handlers/scripts/ExecuteScript.java	(revision 1026)
@@ -47,6 +47,7 @@
 import org.eclipse.ui.IWorkbenchPart;
 import org.eclipse.ui.handlers.HandlerUtil;
 import org.eclipse.ui.ide.FileStoreEditorInput;
+import org.txm.Toolbox;
 import org.txm.core.preferences.TBXPreferences;
 import org.txm.core.preferences.TXMPreferences;
 import org.txm.rcp.editors.TxtEditor;
@@ -109,7 +110,7 @@
 			}
 			dialog.setFilterExtensions(new String[] { "*.groovy" }); //$NON-NLS-1$
 
-			String scriptCurrentDir = TXMPreferences.getString(TBXPreferences.USER_TXM_HOME, TBXPreferences.PREFERENCES_NODE)+ "/scripts";
+			String scriptCurrentDir = Toolbox.getTxmHomePath() + "/scripts";
 
 			dialog.setFilterPath(scriptCurrentDir);
 			result = dialog.open();
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/handlers/scripts/ExecuteGroovyText.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/handlers/scripts/ExecuteGroovyText.java	(revision 1025)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/handlers/scripts/ExecuteGroovyText.java	(revision 1026)
@@ -50,6 +50,7 @@
 import org.eclipse.ui.IWorkbenchPart;
 import org.eclipse.ui.handlers.HandlerUtil;
 import org.eclipse.ui.ide.FileStoreEditorInput;
+import org.txm.Toolbox;
 import org.txm.core.preferences.TBXPreferences;
 import org.txm.core.preferences.TXMPreferences;
 import org.txm.rcp.Application;
@@ -110,7 +111,7 @@
 					scriptfile));
 			return null;
 		}
-		final String scriptRootDir = TXMPreferences.getString(TBXPreferences.USER_TXM_HOME, TBXPreferences.PREFERENCES_NODE)+ "/scripts";
+		final String scriptRootDir = Toolbox.getTxmHomePath() + "/scripts";
 
 		// get current selection of the corpora view
 				final Object corpusViewSelection = CorporaView.getFirstSelectedObject();
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/handlers/scripts/ExecuteGroovyScriptFromFile.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/handlers/scripts/ExecuteGroovyScriptFromFile.java	(revision 1025)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/handlers/scripts/ExecuteGroovyScriptFromFile.java	(revision 1026)
@@ -38,6 +38,7 @@
 import org.eclipse.swt.widgets.Shell;
 import org.eclipse.ui.IWorkbenchPart;
 import org.eclipse.ui.handlers.HandlerUtil;
+import org.txm.Toolbox;
 import org.txm.core.preferences.TBXPreferences;
 import org.txm.core.preferences.TXMPreferences;
 import org.txm.rcp.swt.dialog.LastOpened;
@@ -60,7 +61,7 @@
 		ISelection selection = HandlerUtil.getCurrentSelection(event);
 		Shell shell = HandlerUtil.getActiveWorkbenchWindowChecked(event).getShell();
 
-		String scriptCurrentDir = TXMPreferences.getString(TBXPreferences.USER_TXM_HOME, TBXPreferences.PREFERENCES_NODE)+ "/scripts";
+		String scriptCurrentDir = Toolbox.getTxmHomePath() + "/scripts";
 
 		FileDialog dialog = new FileDialog(shell, SWT.OPEN);
 
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/handlers/scripts/CreateMacro.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/handlers/scripts/CreateMacro.java	(revision 1025)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/handlers/scripts/CreateMacro.java	(revision 1026)
@@ -42,6 +42,7 @@
 import org.eclipse.ui.IWorkbenchPage;
 import org.eclipse.ui.IWorkbenchWindow;
 import org.eclipse.ui.handlers.HandlerUtil;
+import org.txm.Toolbox;
 import org.txm.core.preferences.TBXPreferences;
 import org.txm.core.preferences.TXMPreferences;
 import org.txm.rcp.handlers.files.EditFile;
@@ -64,7 +65,7 @@
 	public Object execute(ExecutionEvent event) throws ExecutionException {
 
 		//get scripts dir
-		String scriptRootDir = TXMPreferences.getString(TBXPreferences.USER_TXM_HOME, TBXPreferences.PREFERENCES_NODE)+ "/scripts";
+		String scriptRootDir = Toolbox.getTxmHomePath() + "/scripts";
 		File currentRootDir = new File(scriptRootDir, "macro"); //$NON-NLS-1$
 
 		//if selection is a file, get its path
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/handlers/export/ExportResult.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/handlers/export/ExportResult.java	(revision 1025)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/handlers/export/ExportResult.java	(revision 1026)
@@ -114,10 +114,10 @@
 				return null;
 			}
 
-			final String encoding = TXMPreferences.getString(TBXPreferences.EXPORT_ENCODING, TBXPreferences.PREFERENCES_NODE);
-			String _colseparator = TXMPreferences.getString(TBXPreferences.EXPORT_COL_SEPARATOR, TBXPreferences.PREFERENCES_NODE);
+			final String encoding = TBXPreferences.getInstance().getString(TBXPreferences.EXPORT_ENCODING);
+			String _colseparator = TBXPreferences.getInstance().getString(TBXPreferences.EXPORT_COL_SEPARATOR);
 			final String colseparator = _colseparator;
-			String _txtseparator = TXMPreferences.getString(TBXPreferences.EXPORT_TXT_SEPARATOR, TBXPreferences.PREFERENCES_NODE);
+			String _txtseparator = TBXPreferences.getInstance().getString(TBXPreferences.EXPORT_TXT_SEPARATOR);
 			final String txtseparator = _txtseparator;
 
 			JobHandler jobhandler = new JobHandler(TXMUIMessages.ExportResult_0) {
@@ -137,7 +137,7 @@
 
 						if (outfile.exists()) {
 							// Open internal editor in the UI thread
-							if(TXMPreferences.getBoolean(TBXPreferences.EXPORT_SHOW, TBXPreferences.PREFERENCES_NODE))	{
+							if(TBXPreferences.getInstance().getBoolean(TBXPreferences.EXPORT_SHOW))	{
 								this.syncExec(new Runnable() {
 									@Override
 									public void run() {
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/handlers/files/CreateFile.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/handlers/files/CreateFile.java	(revision 1025)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/handlers/files/CreateFile.java	(revision 1026)
@@ -42,8 +42,7 @@
 import org.eclipse.ui.IWorkbenchPage;
 import org.eclipse.ui.IWorkbenchWindow;
 import org.eclipse.ui.handlers.HandlerUtil;
-import org.txm.core.preferences.TBXPreferences;
-import org.txm.core.preferences.TXMPreferences;
+import org.txm.Toolbox;
 import org.txm.rcp.messages.TXMUIMessages;
 import org.txm.rcp.swt.dialog.LastOpened;
 import org.txm.rcp.views.fileexplorer.Explorer;
@@ -62,7 +61,7 @@
 	public Object execute(ExecutionEvent event) throws ExecutionException {
 
 		//get scripts dir
-		String scriptCurrentDir = TXMPreferences.getString(TBXPreferences.USER_TXM_HOME, TBXPreferences.PREFERENCES_NODE)+ "/scripts";
+		String scriptCurrentDir = Toolbox.getTxmHomePath() + "/scripts";
 
 		boolean useSavedValue = true; // if a file/folder is selected, dont use the saved value
 		
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/handlers/files/CreateFolder.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/handlers/files/CreateFolder.java	(revision 1025)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/handlers/files/CreateFolder.java	(revision 1026)
@@ -40,6 +40,7 @@
 import org.eclipse.swt.widgets.Shell;
 import org.eclipse.ui.IWorkbenchPart;
 import org.eclipse.ui.handlers.HandlerUtil;
+import org.txm.Toolbox;
 import org.txm.core.preferences.TBXPreferences;
 import org.txm.core.preferences.TXMPreferences;
 import org.txm.rcp.messages.TXMUIMessages;
@@ -61,9 +62,7 @@
 		IWorkbenchPart page = HandlerUtil.getActiveWorkbenchWindow(event)
 				.getActivePage().getActivePart();
 
-		//get scripts dir
-		//FIXME: the default value should be defined in the preferences initializer
-		String dir = TXMPreferences.getString(TBXPreferences.USER_TXM_HOME, null, TBXPreferences.PREFERENCES_NODE, System.getProperty("user.home")); //$NON-NLS-1$
+		String dir = Toolbox.getTxmHomePath();
 
 		//if selection is a file, get its path
 		ISelection selection = HandlerUtil.getCurrentSelection(event);
